<!DOCTYPE html>

<!--[if lte IE 8]>              <html class="ie8 no-js" <?php language_attributes(); ?>>     <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--> <html class="not-ie no-js no-fouc" <?php language_attributes(); ?>>  <!--<![endif]-->

<head>
<meta charset="<?php bloginfo( 'charset' );?>" />
<meta name="description" content="<?php bloginfo( 'description' );?>"/>
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<meta property="og:title" content="<?php wp_title( '|', true, 'right' ); ?>" />
<meta property="og:description" content="<?php bloginfo( 'description' );?>" />
<meta property="og:type" content="cause" />

<meta name="twitter:card" content="summary_large_image">
<meta name="twitter:title" content="<?php wp_title( '|', true, 'right' ); ?>">
<meta name="twitter:description" content="<?php bloginfo( 'description' );?>">


	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

	
	<!--[if IE 9]>
		<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/ie9.css">
	<![endif]-->
	
	<!--[if lt IE 9]>
		<link href="<?php echo esc_url(get_template_directory_uri()); ?>/css/jackbox-ie8.css" rel="stylesheet" type="text/css" />
		<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/ie.css">
	<![endif]-->
	
	<!--[if gt IE 8]>
		<link href="<?php echo esc_url(get_template_directory_uri()); ?>/css/jackbox-ie9.css" rel="stylesheet" type="text/css" />
	<![endif]-->
	
	<!--[if IE 7]>
		<link rel="stylesheet" href="<?php echo esc_url(get_template_directory_uri()); ?>/css/fontello-ie7.css">
	<![endif]-->
	
	
	<!--[if lt IE 9]>
	<script src="js/selectivizr-and-extra-selectors.min.js"></script>
	<![endif]-->
	
	<style type="text/css">
		.no-fouc {display:none;}
	</style>

	<?php
		wp_head();
	?>	

	
	<?php
	if(get_option('sense_settings_loading') != 'hide') {
	?>		
		
	<script type="text/javascript">
		(function($) {

		$(document).ready(function(){
		
			$('html').show();
			
			var window_w = $(window).width();
			var window_h = $(window).height();
			var window_s = $(window).scrollTop();
			
			$("body").queryLoader2({
				backgroundColor: '#f2f4f9',
				barColor: color_loader,
				barHeight: 4,
				percentage:false,
				deepSearch:true,
				minimumTime:1000,
				onComplete: function(){
					
					$('.animate-onscroll').filter(function(index){
					
						return this.offsetTop < (window_s + window_h);
						
					}).each(function(index, value){
						
						var el = $(this);
						var el_y = $(this).offset().top;
						
						if((window_s) > el_y){
							$(el).addClass('animated fadeInDown').removeClass('animate-onscroll');
							setTimeout(function(){
								$(el).css('opacity','1').removeClass('animated fadeInDown');
							},2000);
						}
						
					});
					
				}
			});
			
		});
		
		})(jQuery);	
	</script>

	<?php
	}
	?>	

	<?php
	if(get_option('sense_settings_loading') == 'hide') {
	?>

	<script type="text/javascript">
		(function($) {

		$(document).ready(function(){
		
			$('html').show();
			
			var window_w = $(window).width();
			var window_h = $(window).height();
			var window_s = $(window).scrollTop();

				$('.animate-onscroll').filter(function(index){
				
					return this.offsetTop < (window_s + window_h);
					
				}).each(function(index, value){
					
					var el = $(this);
					var el_y = $(this).offset().top;
					
					if((window_s) > el_y){
						$(el).addClass('animated fadeInDown').removeClass('animate-onscroll');
						setTimeout(function(){
							$(el).css('opacity','1').removeClass('animated fadeInDown');
						},2000);
					}
					
				});

		});
		
		})(jQuery);	
	</script>

	<?php
	}
	?>

</head>

<body <?php body_class(); ?> >

<?php wp_body_open(); ?>



<?php 
$candidate_post_id = candidate_post_id(); 
$type_header = get_meta_option('page_header_meta_box', $candidate_post_id);
if (empty($type_header) || $type_header == '0') {
$type_header = get_option('sense_type_header');
}

$top_title1 = '';
if (!empty(get_option('sense_top_title1')) && get_option('sense_top_title1') != '') {
$top_title1 = sprintf(__("%s", 'candidate'), get_option('sense_top_title1'));
}

$header_text = '';
if (!empty(get_option('sense_header_text')) && get_option('sense_header_text') != '') {
$header_text = get_option('sense_header_text');
}

?>	
	
	<!-- Container -->
	<div class="container wrapper-container">

	<!-- Header -->
	<header id="header" class="<?php echo esc_attr($type_header); ?> animate-onscroll">
				
	<?php if($type_header != 'header_3' && get_option('sense_show_top_header') == 'show' ) { ?>		
		<!-- top-bar -->

		<div class="top-bar">

			<div class="container">

				<div class="table-row">
				
				<div class="col-sm-6">
				  
				  <ul class="contact-info">
					<?php if( get_option('sense_header_phone') != '' ) { ?>		
					<li><?php echo esc_html__('Phone:', 'candidate'); ?> <a href="callto:<?php echo preg_replace("/\D+/", "", get_option('sense_header_phone')); ?>"><?php echo wp_specialchars_decode(get_option('sense_header_phone')); ?></a></li>
					<?php } ?>		
					
					<?php if(get_option('sense_header_email') != '' ) { ?>		
					<li><?php echo esc_html__('Email:', 'candidate'); ?> <a href="mailto:<?php echo wp_specialchars_decode(get_option('sense_header_email')); ?>"><?php echo wp_specialchars_decode(get_option('sense_header_email')); ?></a></li>
					<?php } ?>
				 
				 </ul>

				</div>

				<div class="col-sm-6 text-right top_nav"> 
				   <?php 
				   if (has_nav_menu('top_navigation')) {
					  wp_nav_menu( array(
						'theme_location' => 'top_navigation',
						'container' => false,
						 'menu_class' => 'top_menu',
						 'menu_id' => 'top_navigation',
						 'echo' => true,
						 'depth' => 1
						)); 
				   }
				   ?>
				   
				   <!-- - - - - - - - - - - - - - Language change - - - - - - - - - - - - - - - - -->

						<?php if (defined('ICL_LANGUAGE_CODE')): ?>
								<?php echo wpml_header_languages_list(); ?>
						<?php endif; ?>

					<!-- - - - - - - - - - - - - - End of language change - - - - - - - - - - - - - - - - -->
				   
				</div> 

				</div>

			</div>

		</div>
<?php } ?>			
		
	<?php if($type_header == 'header_1' || $type_header == 'header_2' || $type_header == 'header_1 full_header') { ?>		
		<!-- Main Header -->
		<div id="main-header">
			
			<div class="container">
			
			<div class="row">

				<!-- Logo -->
				<div id="logo" class="">
					<?php 
					$logo_img = get_option('sense_logo_image_loft');
					$logo_type = get_meta_option('custom_logo_page', $candidate_post_id);
					
					if( !empty($logo_type) && $logo_type == 'custom') {
					$logo_img = get_meta_option('logo_for_page', $candidate_post_id);
					}

					if(get_option('sense_settings_logo') == 'show_image')
						{
						?>
						<a href="<?php echo esc_url(home_url('/')); ?>" class="logo" >
						   <img class="logo_img" alt="<?php esc_attr_e( 'Logo', 'candidate' ) ?>" src="<?php echo esc_url($logo_img); ?>"/>
						</a>
					<?php } else { ?>
						<h1>
							<a href="<?php echo esc_url(home_url('/')); ?>" class="logo">
							<?php echo esc_html(get_option('sense_logo_text_loft'));  ?>
							</a>
						</h1>
					<?php } ?>
				</div>
				<!-- /Logo -->
		
				<!-- Main Quote -->
				<div class="main_quote ">
					<?php if(get_option('sense_show_slogan_top') == 'show') { ?>
					<?php echo do_shortcode($header_text); ?>
					<?php } ?>
				</div>
				<!-- /Main Quote -->
				
				<?php if( get_option('sense_show_topform') == 'show' ) {	?>	
				<!-- Newsletter -->
				<div class="top_newsletter type_<?php echo get_option('sense_type_form_header');  ?>">
					<?php
					if(get_option('sense_type_form_header') == 'mailchimp')
						{
							
						$top1 = sprintf("%s", get_option('sense_top_text1'));	
						$top2 = sprintf("%s", get_option('sense_top_text2'));	
							
						?>
					<form id="newsletter" action="#" method="POST" style="display:block!important;" >
						<span class="ajax-loader"></span>
						
						<?php echo wp_kses_post($top_title1); ?>
						
						<div class="newsletter-form">
						
							<div class="newsletter-email">
								<input id="s-email" type="text" name="email" placeholder="<?php echo wp_kses_post($top1); ?>">
							</div>
							
							<div class="newsletter-zip">
								<input type="text" name="ZIP" placeholder="<?php echo wp_kses_post($top2); ?>">
							</div>
							
							<div class="newsletter-submit">
								<input type="submit" id="signup_submit" name="newsletter-submit" value="">
								<i class="icons icon-right-thin"></i>
							</div>
							
						</div>
						<div id="mailchimp-sign-up1" ><p>.</p></div>
					</form>
					<?php } 
					if(get_option('sense_type_form_header') == 'search') {	
						$top1 = sprintf(__("%s", 'candidate'), get_option('sense_top_text1'));	
					?>

					<form id="search" action="<?php echo esc_url(home_url( '/' )); ?>">
					
						<?php echo wp_kses_post($top_title1); ?>
					
						<div class="newsletter-form">
						
							<div class="newsletter-search">
							<input placeholder="<?php echo wp_kses_post($top1); ?>" type="text" name="s" class="search-query" />
							</div>
							
							<div class="newsletter-submit">
							
							<input type="submit" id="signup_submit" >
								<i class="icons icon-right-thin"></i>
							</div>
							
						</div>
						
					</form>
					 
					<?php } 
					if(get_option('sense_type_form_header') == 'button') {
						
						$form_btn_title = sprintf(__("%s", 'candidate'), get_option('sense_form_btn_title'));	
						$form_btn_url = get_option('sense_form_btn_url');	
					?>
					
					<a href="<?php echo esc_url($form_btn_url); ?>" class="button header_donate_btn" target="_blank" ><?php echo esc_html($form_btn_title); ?></a>
					 
					<?php } 
					if(get_option('sense_type_form_header') == 'events') {	
					
						if(get_option('sense_header_event_id') && get_option('sense_header_event_id') != '') {	
							$event_id = get_option('sense_header_event_id');
						} else {
							$event_posts = tribe_get_events(
								apply_filters(
									'tribe_events_list_widget_query_args', array(
										'eventDisplay'   => 'list',
										'order'       => 'DESC',
										'posts_per_page' => '1'
									)
								)
							);
							foreach( $event_posts as $post ) :  setup_postdata($post);
								setup_postdata( $post );
								$event_id = $post->ID;
							endforeach; 	
							wp_reset_query();
						}
							$start_day = $start_month = $start_year = $event_day = '';
							if ( function_exists( 'tribe_get_start_date' ) ) {
							$start_day = tribe_get_start_date( $event_id, false, 'd' );
							$start_month = tribe_get_start_date( $event_id, false, 'm' );
							$start_year = tribe_get_start_date( $event_id, false, 'Y' );
							$event_day = tribe_get_start_date( $event_id, false, 'd M Y' );
							}
							
							$link_event = get_permalink($event_id);
							$current_day = date('d M Y');
							$result=(strtotime($event_day)>strtotime($current_day));
						
					?>
					
					<?php if( !empty($event_day) && $result === true ) { 
					$days = __('days','candidate');
					?>
					
					<form id="event" action="<?php echo esc_url(home_url( '/' )); ?>">
					
						<?php echo wp_kses_post($top_title1); ?>
					
						<div class="newsletter-form">
						
							<div id="countdown_header" class="hasCountdown"></div>
							
							<a href="<?php echo esc_url($link_event) ?>" class="header_event" target="_blank" >
							
								<i class="icons icon-right-thin"></i>

							</a>
							
						</div>
						
					</form>
					
							<script type="text/javascript">
								(function($) {

								$(document).ready(function(){
			
									// countdown

									//if($('#countdown_header').length){
										
										var newYear = new Date(); 
										//newYear = new Date(newYear.getFullYear() + 1, -1, 1); 
										newYear = new Date(<?php echo wp_kses_post($start_year); ?>, <?php echo wp_kses_post($start_month); ?>-1, <?php echo wp_kses_post($start_day); ?>);  
										//alert(newYear);
										$('#countdown_header').countdown({
											until: newYear,
											layout:'<dl class="count_item"><dt class="main_title">{dnn}</dt><dd><span><?php echo wp_kses_post($days); ?></span></dd></dl></div>'+
											'<dl class="count_item"><dt class="main_title">{hnn}</dt><dd><span><?php echo __('hrs','candidate'); ?></span></dd></dl></div>'+
											' <dl class="count_item"><dt class="main_title">{mnn}</dt><dd><span><?php echo __('mins','candidate'); ?></span></dd></dl>'+
											' <dl class="count_item"><dt class="main_title">{snn}</dt><dd><span><?php echo __('secs','candidate'); ?></span></dd></dl>'
										}); 
										 //$('#countdown_header').countdown('toggle'); 
									//}

								});
					
								})(jQuery);
								
							</script>
							
					<?php } ?>		
							
						
					<?php }  ?>
					
				</div>
				<!-- /Newsletter -->
				<?php } ?>	
	
			</div>
			
			</div>
			
		</div>
		<!-- /Main Header -->
	
	
	<!-- Lower Header -->
	<div id="lower-header">
		
		<div class="container">
		
		<div id="menu-button">
			<div>
			<span></span>
			<span></span>
			<span></span>
			</div>
			<span><?php esc_html_e( 'Menu', 'candidate' ); ?></span>
		</div>
	

		<?php  if (has_nav_menu('main_navigation')) :
				wp_nav_menu( array(
				'theme_location' => 'main_navigation',
				'container' => false,
				 'menu_class' => '',
				 'menu_id' => 'navigation',
				 'echo' => true,
				 'depth' => 4,
				 'fallback_cb'=> '',
				 'walker' => new candidate_Nav_Walker()
				));
				endif; 		
		?>
	
		</div>
					
	</div>
	<!-- /Lower Header -->
	
	
	<?php } ?>	
	
	<?php if($type_header == 'header_4') { ?>	
	
	<div id="main-header">
	<div class="container">
	<div class="row">

		<!-- Logo -->
		<div id="logo" class="align-center">
			<?php 
			$logo_img = get_option('sense_logo_image_loft');
			$logo_type = get_meta_option('custom_logo_page', $candidate_post_id);
			
			if( !empty($logo_type) && $logo_type == 'custom') {
			$logo_img = get_meta_option('logo_for_page', $candidate_post_id);
			}
			
			if(get_option('sense_settings_logo') == 'show_image')
				{
				?>
				<a href="<?php echo esc_url(home_url('/')); ?>" class="logo " style="" >
				   <img class="logo_img" alt="<?php esc_attr_e( 'Logo', 'candidate' ) ?>" src="<?php echo esc_url($logo_img); ?>"/>
				</a>
			<?php } else { ?>
				<h1>
					<a href="<?php echo esc_url(home_url('/')); ?>" class="logo">
					<?php echo esc_html(get_option('sense_logo_text_loft'));  ?>
					</a>
				</h1>
			<?php } ?>
		</div>
		<!-- /Logo -->
	</div>			
	</div>			
	</div>			
	
	<div id="lower-header">
		
		<div class="container">
		
		<div id="menu-button">
			<div>
			<span></span>
			<span></span>
			<span></span>
			</div>
			<span><?php esc_html_e( 'Menu', 'candidate' ); ?></span>
		</div>
	

		<?php  if (has_nav_menu('main_navigation')) :
				wp_nav_menu( array(
				'theme_location' => 'main_navigation',
				'container' => false,
				 'menu_class' => '',
				 'menu_id' => 'navigation',
				 'echo' => true,
				 'depth' => 4,
				 'fallback_cb'=> '',
				 'walker' => new candidate_Nav_Walker()
				));
				endif; 		
		?>
	
		</div>
					
	</div>
	
	<?php } ?>	
	
	<?php if($type_header == 'header_3') { ?>	

	<div class="searchform-wrap">
		<div class="container">
			<div class="vc-child h-inherit">
			 <?php echo get_search_form(); ?>
			</div>
			<span class="lnr lnr-cross close-search-form"></span>
		</div>
	</div>

	<div class="header_3_inner">
		
		<div class="container">
		
            <div class="col-md-3">
				<!-- Logo -->
				<div id="logo" class="">
					<?php 
					
					$logo_img = get_option('sense_logo_image_loft');
					$logo_type = get_meta_option('custom_logo_page', $candidate_post_id);
					
					if( !empty($logo_type) && $logo_type == 'custom') {
					$logo_img = get_meta_option('logo_for_page', $candidate_post_id);
					}
					
					if(get_option('sense_settings_logo') == 'show_image')
						{
						?>
						<a href="<?php echo esc_url(home_url('/')); ?>" class="logo " style="" >
						   <img class="logo_img" alt="<?php esc_attr_e( 'Logo', 'candidate' ) ?>" src="<?php echo esc_url($logo_img); ?>"/>
						</a>
					<?php } else { ?>
						<h1>
							<a href="<?php echo esc_url(home_url('/')); ?>" class="logo">
							<?php echo esc_html(get_option('sense_logo_text_loft'));  ?>
							</a>
						</h1>
					<?php } ?>
				</div>
				<!-- /Logo -->
			</div>
			
		<div class="col-md-9">
		<div class="nav-item">
		
			<div id="menu-button">
				<div>
				<span></span>
				<span></span>
				<span></span>
				</div>
				<span><?php esc_html_e( 'Menu', 'candidate' ); ?></span>
			</div>
	
		<?php  if (has_nav_menu('main_navigation')) :
				wp_nav_menu( array(
				'theme_location' => 'main_navigation_header3',
				'container' => false,
				 'menu_class' => '',
				 'menu_id' => 'navigation',
				 'echo' => true,
				 'depth' => 4,
				 'fallback_cb'=> '',
				 'walker' => new candidate_Nav_Walker()
				));
				endif; 		
		?>
		
			<div class="search-holder">
			  <button class="search-button"></button>
			</div>
			
			<?php if (get_option('sense_donate_url') != '') : ?>
				 <a href="<?php echo esc_url(get_option('sense_donate_url')); ?>" class="button donate"><?php echo esc_html__('Donate Today', 'candidate'); ?></a>
			<?php endif; ?>
		
		</div>
		</div>
	
		</div>
					
	</div>
	
	<?php } ?>	
	
	</header>
	<!-- /Header -->