<?php
/**
 * Month View Single Day
 * This file contains one day in the month grid
 *
 * Override this template in your own theme by creating a file at [your-theme]/tribe-events/month/single-day.php
 *
 * @package TribeEventsCalendar
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}
 ?>

<?php
$day = tribe_events_get_current_month_day();
$events_label = ( 1 === $day['total_events'] ) ? tribe_get_event_label_singular() : tribe_get_event_label_plural();
$date_label = date_i18n( tribe_get_date_option( 'dateWithoutYearFormat', 'F j' ), strtotime( $day['date'] ) )
?>

<?php if ( $day['date'] != 'previous' && $day['date'] != 'next' ) : ?>

	<!-- Day Header -->
	<span id="tribe-events-daynum-<?php echo esc_attr($day['daynum-id']) ?>" class="day">
	

		<?php if ( $day['total_events'] > 0 && tribe_events_is_view_enabled( 'day' ) ) { ?>
			<a href="<?php echo esc_url(tribe_get_day_link( $day['date'] )); ?>"><?php echo esc_html($day['daynum']) ?></a>
		<?php } else { ?>
			<?php echo esc_html($day['daynum']) ?>
		<?php } ?>

	</span>

	
	<ul class="events">
	<!-- Events List -->
	<?php while ($day['events']->have_posts()) : $day['events']->the_post() ?>
		<?php tribe_get_template_part('month/single', 'event') ?>
	<?php endwhile; ?>
	</ul>
	
	
	<!-- View More -->
	<?php if ( $day['view_more']  ) : ?>
		<div class="tribe-events-viewmore">
			<?php

			$view_all_label = sprintf(
				__(
					'View %1$s %2$s',
					'candidate'
				),
				$day['total_events'],
				$events_label
			);
			
$view_all_aria_label = sprintf( __( '%s for %s', 'candidate' ), $view_all_label, $date_label );
		?>
			<a href="<?php echo esc_url( $day['view_more'] ); ?>" aria-label="<?php echo esc_attr( $view_all_aria_label ); ?>"><?php echo esc_html($view_all_label) ?> &raquo;</a>
		</div>
	<?php endif ?>

<?php endif; ?>