<?php
/**
 * Photo View Single Event
 * This file contains one event in the photo view
 *
 * Override this template in your own theme by creating a file at [your-theme]/tribe-events/pro/photo/single-event.php
 *
 * @package TribeEventsCalendar
 * @version 4.4.8
 */

if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
} ?>

<?php

global $post;
$event_id = $post->ID;
$title1 = get_the_title();
$address = tribe_address_exists() ? '' . tribe_get_full_address() . '' : '';
$start_day = tribe_get_start_date( null, false, 'd' );
$start_month = tribe_get_start_date( null, false, 'M' );
			
?>

<div class="tribe-events-photo-event-wrap">

	<?php echo tribe_event_featured_image( null, array(263,177), false ); ?>

	<div class="event-info">
							
		<div class="date">
			<span>
				<span class="day"><?php echo esc_html($start_day); ?></span>
				<span class="month"><?php echo esc_html($start_month); ?></span>
			</span>
		</div>
		
		<div class="event-content">
			<h6><a href="<?php echo tribe_get_event_link(); ?>"><?php echo esc_html($title1); ?> </a></h6>
			<?php do_action( 'tribe_events_after_the_event_title' ); ?>
			<ul class="event-meta">
				<li><i class="icons icon-clock"></i> <?php echo tribe_events_event_schedule_details(); ?></li>
				<li><i class="icons icon-location"></i> <?php if ( ! empty( $address ) ) echo '' . "$address "; ?></li>
			</ul>
		</div>
	
	</div>

</div><!-- /.tribe-events-photo-event-wrap -->
