<?php
/**
 * View: List Event
 *
 * Override this template in your own theme by creating a file at:
 * [your-theme]/tribe/events/v2/list/event.php
 *
 * See more documentation about our views templating system.
 *
 * @link http://evnt.is/1aiy
 *
 * @version 5.0.0
 *
 * @var WP_Post $event The event post object with properties added by the `tribe_get_event` function.
 *
 * @see tribe_get_event() For the format of the event object.
 */
use Tribe__Date_Utils as Dates;
$container_classes = tribe_get_post_class( [ 'tribe-events-day-time-slot tribe-events-list' ], $event->ID );
$container_classes['tribe-events-calendar-list__event-row--featured'] = $event->featured;

$event_classes = tribe_get_post_class( [ 'tribe-events-calendar-list__event', ], $event->ID );

$name = get_the_title($event->ID);
$display_date = empty( $is_past ) && ! empty( $request_date )
	? max( $event->dates->start_display, $request_date )
	: $event->dates->start_display;

$event_week_day  = $display_date->format_i18n( 'D' );
$event_day_num   = $display_date->format_i18n( 'j' );
$event_date_attr = $display_date->format( Dates::DBDATEFORMAT );

$venue_details = tribe_get_venue_details();
$venue_address = tribe_get_address();
$has_venue_address = ( ! empty( $venue_details['address'] ) ) ? ' location' : '';
$organizer = tribe_get_organizer();
?>
<div <?php tribe_classes( $container_classes ); ?>>

		<article <?php tribe_classes( $event_classes ) ?>>
			
	<div class="type-tribe_events blog-post style2 tribe-clearfix">  
	
	<div class="post-image"> 
	<a href="<?php echo esc_url( $event->permalink ); ?>"> 
	<?php echo get_the_post_thumbnail( $event->ID, 'portfolio3'); ?>
	</a>
	</div>
	
	<div class="post-content"> 
		
		<div class="post-header">  
		
		<div class="tribe-events-event-cost"> 
		<?php if(!empty( $event->cost )) { ?>
		<span class="label"><?php echo esc_html( $event->cost ) ?></span>
		<?php } ?>
		</div>
		
		<h2 class="tribe-events-list-event-title summary">
		<a class="url" href="<?php echo esc_url( $event->permalink ); ?>" rel="bookmark">
		<?php echo esc_html($name); ?>
		</a>
		</h2>
		
		<div class="post-meta tribe-events-event-meta vcard location">  
		
			<div class="updated published time-details">
			<?php echo tribe_events_event_schedule_details() ?>
			</div>
			
			<?php if ( $venue_details ) { ?>
			<div class="tribe-events-venue-details">
			<?php
				$address_delimiter = empty( $venue_address ) ? ' ' : ', ';

				// These details are already escaped in various ways earlier in the process.
				echo implode( $address_delimiter, $venue_details );

				if ( tribe_get_map_link() ) {
					echo tribe_get_map_link_html();
				}
			?>
			</div>
			<?php } ?>
		
		</div>
		
		</div>
	
		<div class="post-exceprt tribe-events-list-event-description tribe-events-content description entry-summary"> 
		<?php 
		$excerpt = tribe_events_get_the_excerpt( null, wp_kses_allowed_html( 'post' ) );
		$excerpt = substr( $excerpt , 0, 180);
		echo $excerpt; ?>
		
			<div class="tribe-events-more-details">
			<a href="<?php echo esc_url( $event->permalink ); ?>" class="button read-more-button big button-arrow"><?php _e( 'Read More', 'candidate' ) ?></a>
			</div>
		
		</div>
	
	</div>
	
	</div>	
			
		</article>

</div>
