<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $title
 * @var $onclick
 * @var $custom_links
 * @var $custom_links_target
 * @var $img_size
 * @var $images
 * @var $el_class
 * @var $el_id
 * @var $mode
 * @var $slides_per_view
 * @var $wrap
 * @var $autoplay
 * @var $hide_pagination_control
 * @var $hide_prev_next_buttons
 * @var $speed
 * @var $partial_view
 * @var $css
 * @var $css_animation
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_images_carousel
 */
$title = $onclick = $custom_links = $custom_links_target =
$img_size = $images = $el_class = $el_id = $mode = $slides_per_view =
$wrap = $autoplay = $hide_pagination_control =
$hide_prev_next_buttons = $speed = $partial_view = $css = $css_animation = '';

$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$gal_images = '';
$link_start = '';
$link_end = '';
$el_start = '';
$el_end = '';
$slides_wrap_start = '';
$slides_wrap_end = '';
$pretty_rand = 'link_image' === $onclick ? ' data-rel="prettyPhoto[rel-' . get_the_ID() . '-' . rand() . ']"' : '';

wp_enqueue_script( 'vc_carousel_js' );
wp_enqueue_style( 'vc_carousel_css' );
if ( 'link_image' === $onclick ) {
	wp_enqueue_script( 'prettyphoto' );
	wp_enqueue_style( 'prettyphoto' );
}

if ( '' === $images ) {
	$images = '-1,-2,-3';
}

if ( 'custom_link' === $onclick ) {
	$custom_links = vc_value_from_safe( $custom_links );
	$custom_links = explode( ',', $custom_links );
}

$images = explode( ',', $images );
$i = - 1;

$class_to_filter = 'wpb_images_carousel wpb_content_element vc_clearfix';
$class_to_filter .= vc_shortcode_custom_css_class( $css, ' ' ) . $this->getExtraClass( $el_class ) . $this->getCSSAnimation( $css_animation );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$carousel_id = 'vc_images-carousel-' . WPBakeryShortCode_VC_images_carousel::getCarouselIndex();
$slider_width = $this->getSliderWidth( $img_size );
$wrapper_attributes = array();
if ( ! empty( $el_id ) ) {
	$wrapper_attributes[] = 'id="' . esc_attr( $el_id ) . '"';
}
?>

<style type="text/css">
	.wpb_images_carousel .vc_images_carousel .vc_carousel-control span{
		display:none;
	}
	.wpb_images_carousel .vc_images_carousel .vc_carousel-control:hover{
	  opacity: 1;
	  filter: alpha(opacity=100);	
	}
	.wpb_images_carousel .vc_images_carousel .vc_carousel-control:before {
	  font-family: "fontello";
	  font-style: normal;
	  font-weight: normal;
	  speak: none;
	  display: inline-block;
	  text-decoration: inherit;
	  margin-right: .2em;
	  text-align: center;
	  font-variant: normal;
	  text-transform: none;
	  line-height: 1em;
	  margin-left: .2em;
	  color: #fff;
	  font-size: 24px;
	  position: absolute;
	  left: 50%;
	}
	.wpb_images_carousel .vc_images_carousel .vc_left.vc_carousel-control:before {
	  content: '\e890';
	  margin-left: -6px;
	}
	.wpb_images_carousel .vc_images_carousel .vc_right.vc_carousel-control:before {
	  content: '\e891';
	  margin-left: -3px;
	}
	.wpb_images_carousel .vc_images_carousel .vc_carousel-control {
	  position: absolute;
	  vertical-align: middle;
      padding-top: 12px;
	  top: 50%;
	  bottom: 0;
	  margin-top: -23px;
	  width: 45px;
	  height: 45px;
	  z-index: 10;
	  opacity: 0;
	  filter: alpha(opacity=0);
	  font-size: 30px;
	  text-align: center;
	  text-shadow: none;
	  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
	  color: rgba(0,0,0,0.8);
	  background: #000;
	  background: rgba(0,0,0,0.6);
	-webkit-transition: all .3s ease;
	-moz-transition: all .3s ease;
	transition: all .3s ease;
	border-radius: 3px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
	}
	.wpb_images_carousel .vc_images_carousel .vc_left.vc_carousel-control{
	left: 0;
	display:block !important;	
	}
	.wpb_images_carousel .vc_images_carousel:hover .vc_left.vc_carousel-control{
	left: 20px;
	opacity: 1;
	filter: alpha(opacity=100);	
	}
	.wpb_images_carousel .vc_images_carousel .vc_right.vc_carousel-control{
	right: 0;	
	}
	.wpb_images_carousel .vc_images_carousel:hover .vc_right.vc_carousel-control{
	right: 20px;
	opacity: 1;
	filter: alpha(opacity=100);	
	}
	
</style>

<div <?php echo implode( ' ', $wrapper_attributes ); ?> class="<?php echo esc_attr( apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $css_class, $this->settings['base'], $atts ) ); ?>">
	<div class="wpb_wrapper">
		<?php echo wpb_widget_title( array( 'title' => $title, 'extraclass' => 'wpb_gallery_heading' ) ) ?>
		<div id="<?php echo esc_attr($carousel_id) ?>" data-ride="vc_carousel" data-wrap="<?php echo 'yes' === $wrap ? 'true' : 'false' ?>" style="width: <?php echo esc_attr($slider_width) ?>;" data-interval="<?php echo 'yes' === $autoplay ? $speed : 0 ?>" data-auto-height="yes" data-mode="<?php echo esc_attr($mode) ?>" data-partial="<?php echo 'yes' === $partial_view ? 'true' : 'false' ?>" data-per-view="<?php echo esc_attr($slides_per_view) ?>" data-hide-on-end="<?php echo 'yes' === $autoplay ? 'false' : 'true' ?>" class="vc_slide vc_images_carousel">
			<?php if ( 'yes' !== $hide_pagination_control ) :  ?>
				<!-- Indicators -->
				<ol class="vc_carousel-indicators">
					<?php for ( $z = 0; $z < count( $images ); $z ++ ) :  ?>
						<li data-target="#<?php echo esc_attr($carousel_id) ?>" data-slide-to="<?php echo esc_attr($z) ?>"></li>
					<?php endfor; ?>
				</ol>
			<?php endif ?>
			<!-- Wrapper for slides -->
			<div class="vc_carousel-inner">
				<div class="vc_carousel-slideline">
					<div class="vc_carousel-slideline-inner">
						<?php foreach ( $images as $attach_id ) :  ?>
							<?php
							$i ++;
							if ( $attach_id > 0 ) {
								$post_thumbnail = wpb_getImageBySize( array(
									'attach_id' => $attach_id,
									'thumb_size' => $img_size,
								) );
							} else {
								$post_thumbnail = array();
								$post_thumbnail['thumbnail'] = '<img src="' . vc_asset_url( 'vc/no_image.png' ) . '" />';
								$post_thumbnail['p_img_large'][0] = vc_asset_url( 'vc/no_image.png' );
							}
							$thumbnail = $post_thumbnail['thumbnail'];
							?>
							<div class="vc_item">
								<div class="vc_inner">
									<?php if ( 'link_image' === $onclick ) :  ?>
										<?php $p_img_large = $post_thumbnail['p_img_large']; ?>
										<a class="prettyphoto" href="<?php echo esc_url($p_img_large[0]) ?>" <?php echo esc_attr($pretty_rand); ?>>
											<?php echo wp_kses_post($thumbnail) ?>
										</a>
									<?php elseif ( 'custom_link' === $onclick && isset( $custom_links[ $i ] ) && '' !== $custom_links[ $i ] ) :  ?>
										<a href="<?php echo esc_url($custom_links[ $i ) ?>"<?php echo( ! empty( $custom_links_target ) ? ' target="' . $custom_links_target . '"' : '' ) ?>>
											<?php echo wp_kses_post($thumbnail) ?>
										</a>
									<?php else : ?>
										<?php echo wp_kses_post($thumbnail) ?>
									<?php endif ?>
								</div>
							</div>
						<?php endforeach ?>
					</div>
				</div>
			</div>
			<?php if ( 'yes' !== $hide_prev_next_buttons ) :  ?>
				<!-- Controls -->
				<a class="vc_left vc_carousel-control" href="#<?php echo esc_attr($carousel_id) ?>" data-slide="prev">
					<span class="icon-prev"></span>
				</a>
				<a class="vc_right vc_carousel-control" href="#<?php echo esc_attr($carousel_id) ?>" data-slide="next">
					<span class="icon-next"></span>
				</a>
			<?php endif ?>
		</div>
	</div>
</div>

