<?php
/**
 * Single Product Meta
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/meta.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $post, $product;

?>


	<?php do_action( 'woocommerce_product_meta_start' ); ?>

	<?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>

		<p class="animate-onscroll"><?php _e( 'SKU:', 'candidate' ); ?> <span class="sku"><?php echo wp_kses_post( $sku = $product->get_sku() ) ? $sku : esc_html__( 'N/A', 'candidate' ); ?></span>.</p>

	<?php endif; ?>

	<?php echo wc_get_product_category_list( $product->get_id(), ', ', '<p class="posted_in animate-onscroll">' . _n( 'Category:', 'Categories:', count( $product->get_category_ids() ), 'candidate' ) . ' ', '</p>' ); ?>
	
	<?php echo wc_get_product_tag_list( $product->get_id(), ', ', '<p class="tagged_as animate-onscroll">' . _n( 'Tag:', 'Tags:', count( $product->get_tag_ids() ), 'candidate' ) . ' ', '</p>' ); ?>



		<ul class="social-share animate-onscroll">	
			<li><?php _e( 'Share this:', 'candidate' ); ?></li>
			<li class="facebook"><a href="#" class="tooltip-ontop" title="Facebook"><i class="icons icon-facebook"></i></a></li>
			<li class="twitter"><a href="#" class="tooltip-ontop" title="Twitter"><i class="icons icon-twitter"></i></a></li>
			<li class="google"><a href="#" class="tooltip-ontop" title="Google Plus"><i class="icons icon-gplus"></i></a></li>
			<li class="pinterest"><a href="#" class="tooltip-ontop" title="Pinterest"><i class="icons icon-pinterest-3"></i></a></li>
			<li class="email"><a href="#" class="tooltip-ontop" title="Email"><i class="icons icon-mail"></i></a></li>
		</ul>
	
	<?php do_action( 'woocommerce_product_meta_end' ); ?>

